#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <libpq-fe.h>
#include <unistd.h>

int main (int argc, char **argv)
{
	int i, nTuples, ordernum,store_id;
	int j, nTuples2;
	float value;
	PGresult *res,*res2,*res3;
	PGconn *conn;
	char Buffer[1024];

	seteuid (500);

    /* make a connection to the database */
    conn = PQsetdb(NULL, NULL, NULL, NULL, "hotpizza");

    /* check to see that the backend connection was successfully made */
    if (PQstatus(conn) == CONNECTION_BAD)
    {
        fprintf(stderr, "Connection to database 'hotpizza' failed.\n");
        fprintf(stderr, "%s", PQerrorMessage(conn));
		exit(1);
    }
	seteuid (0);

	res = PQexec (conn,"select store_id,ordernum from orders order by ordernum");
	nTuples = PQntuples (res);
	for (i = 0; i < nTuples; i++)
	{
		ordernum = atoi (PQgetvalue(res,i,1));
		store_id = atoi (PQgetvalue(res,i,0));
		printf ("ordernum = %d-%d\n", store_id, ordernum);

		sprintf (Buffer, "select total_order_price(orders) from orders where store_id = %d and ordernum = %d", store_id,ordernum);
		res2 = PQexec (conn, Buffer);
		nTuples2 = PQntuples (res2);
		for (j = 0; j < nTuples2; j++)
		{
			value = atof (PQgetvalue (res2,j,0));
			printf ("  value = %01.2f\n", value);

			printf ("update orders set total_price = %f where store_id = %d and ordernum = %d\n",
				value,store_id,ordernum);
			sprintf (Buffer, "update orders set total_price = %f where store_id = %d and ordernum = %d",
				value,store_id,ordernum);
			res3 = PQexec (conn,Buffer);
			PQclear (res3);
		}
		PQclear (res2);
	}
	PQclear (res);

	return 0;
}
