/*----------------------------------------------------------------------------------------------------
Global variables for postgres connection
----------------------------------------------------------------------------------------------------*/

extern char	*pghost, *pgport, *pgoptions, *pgtty;
extern char    *dbName;
extern PGconn  *conn;
extern PGresult *res;

extern int current_store;
extern DataEntry *login_screen;

extern int order_came_from_docket;

/*----------------------------------------------------------------------------------------------------
function declarations
----------------------------------------------------------------------------------------------------*/

int get_new_customer_number ();
int get_new_order_number ();
void exit_nicely (PGconn *conn);

/*----------------------------------------------------------------------------------------------------
image functions
----------------------------------------------------------------------------------------------------*/

GtkWidget* new_pixmap (char *filename, GdkWindow *window, GdkColor *background);
void cache_images (char **filenames);
GtkWidget* new_image (char *filename, GdkWindow *window, GdkColor *background);
void reload_image (GtkPixmap *widget, char *filename);

/*----------------------------------------------------------------------------------------------------
SQL and string functions
----------------------------------------------------------------------------------------------------*/

char *SQL (char *);
char *trim (char *);
char *nice_date (char *);
char *strupr (char *);
char *money (float f, int len);

/*----------------------------------------------------------------------------------------------------
popups and message boxes
----------------------------------------------------------------------------------------------------*/

void message_box (char *);
